//
// ChangePasswordRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ChangePasswordRequest: Codable, JSONEncodable, Hashable {

    public var currentPassword: String?
    public var newPassword: String?
    public var confirmNewPassword: String?

    public init(currentPassword: String? = nil, newPassword: String? = nil, confirmNewPassword: String? = nil) {
        self.currentPassword = currentPassword
        self.newPassword = newPassword
        self.confirmNewPassword = confirmNewPassword
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case currentPassword
        case newPassword
        case confirmNewPassword
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(currentPassword, forKey: .currentPassword)
        try container.encodeIfPresent(newPassword, forKey: .newPassword)
        try container.encodeIfPresent(confirmNewPassword, forKey: .confirmNewPassword)
    }
}

